/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.pedidos;

import java.io.Serializable;

/**
 * @author obper
 */
public class CuerpoPedido implements Serializable {

    private String productoCodigo;
    private String productoNombre;
    private String produtoOferta;
    private String produtoOfertaCodigo;
    private Double productoPrecioSinDescuento;
    private Double productoPrecioConDescuento;
    private Double totalSinDescuento;
    private Double totalConDescuento;
    private int cantidad;

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public String getProdutoOferta() {
        return produtoOferta;
    }

    public void setProdutoOferta(String produtoOferta) {
        this.produtoOferta = produtoOferta;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public Double getProductoPrecioSinDescuento() {
        return productoPrecioSinDescuento;
    }

    public void setProductoPrecioSinDescuento(Double productoPrecioSinDescuento) {
        this.productoPrecioSinDescuento = productoPrecioSinDescuento;
    }

    public Double getProductoPrecioConDescuento() {
        return productoPrecioConDescuento;
    }

    public void setProductoPrecioConDescuento(Double productoPrecioConDescuento) {
        this.productoPrecioConDescuento = productoPrecioConDescuento;
    }

    public Double getTotalSinDescuento() {
        return totalSinDescuento;
    }

    public void setTotalSinDescuento(Double totalSinDescuento) {
        this.totalSinDescuento = totalSinDescuento;
    }

    public Double getTotalConDescuento() {
        return totalConDescuento;
    }

    public void setTotalConDescuento(Double totalConDescuento) {
        this.totalConDescuento = totalConDescuento;
    }

    public String getProdutoOfertaCodigo() {
        return produtoOfertaCodigo;
    }

    public void setProdutoOfertaCodigo(String produtoOfertaCodigo) {
        this.produtoOfertaCodigo = produtoOfertaCodigo;
    }


    public CuerpoPedido(String productoCodigo, String productoNombre, String produtoOferta, Double productoPrecioSinDescuento, Double productoPrecioConDescuento, Double totalSinDescuento, Double totalConDescuento, int cantidad) {
        this.productoCodigo = productoCodigo;
        this.productoNombre = productoNombre;
        this.produtoOferta = produtoOferta;
        this.productoPrecioSinDescuento = productoPrecioSinDescuento;
        this.productoPrecioConDescuento = productoPrecioConDescuento;
        this.totalSinDescuento = totalSinDescuento;
        this.totalConDescuento = totalConDescuento;
        this.cantidad = cantidad;
    }


    public CuerpoPedido() {
    }


}
